package nsdb;

public class NucFeatureHolder	implements org.omg.CORBA.portable.Streamable{
	 public NucFeature value;
	public NucFeatureHolder()
	{
	}
	public NucFeatureHolder(NucFeature initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return NucFeatureHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream in)
	{
		value = NucFeatureHelper.read(in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream _out)
	{
		NucFeatureHelper.write(_out,value);
	}
}
